Create (or Update) Order

REST API for a single order. Requests with the same reference ID will upsert an existing order if it exists.

See Upload Orders for more information.

Body
application/json
  • facility_id
    Type: stringFormat: uuid
    required
  • reference_id
    Type: stringFormat: uuid
    required
  • type
    Type: string
    required
  • carrier
    Type: string
  • customer
    Type: string
  • earliest_scheduled_start_time
    Type: stringFormat: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • external_reference_id
    Type: stringFormat: uuid
  • item_ids
    Type: string
  • load_type_name
    Type: string
  • notes
    Type: string
  • order_reference_types
    Type: array object[]
  • shipper_receiver
    Type: string
Responses
  • 202
  • 400

    Bad Request

Request Example for post/conduit.v1.create_facility_order
curl https://api.getconduit.ai/conduit.v1.create_facility_order \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "type": "",
  "item_ids": "",
  "load_type_name": "",
  "shipper_receiver": "",
  "reference_id": "",
  "external_reference_id": "",
  "facility_id": "",
  "carrier": "",
  "customer": "",
  "notes": "",
  "order_reference_types": [
    {
      "key": "",
      "value": ""
    }
  ],
  "earliest_scheduled_start_time": ""
}'
No Body